Bug 254903 - ntpdate shows "no server suitable for synchronization found"
Summary: ntpdate shows "no server suitable for synchronization found"
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: Unspecified
Hardware: arm64 Any
: --- Affects Many People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 05:44 UTC by shamsher
Modified: 2021-04-21 15:14 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shamsher 2021-04-09 05:44:11 UTC
I have updated the ntpv4 using port https://www.freshports.org/net/ntp/
seeing below issues as "no server suitable for synchronization found" with ntpdate (-d/-u) from 0.freebsd.pool.ntp.org


ntpdate -d 0.freebsd.pool.ntp.org
 9 Apr 05:37:14 ntpdate[95778]: ntpdate 4.2.8p15@1.3728-o Thu Feb 18 07:28:03 UTC 2021 (1)
transmit(173.255.215.209)
transmit(85.27.231.43)
transmit(72.30.35.88)
transmit(200.89.75.198)
transmit(173.255.215.209)
transmit(85.27.231.43)
transmit(72.30.35.88)
transmit(200.89.75.198)
transmit(173.255.215.209)
transmit(85.27.231.43)
transmit(72.30.35.88)
transmit(200.89.75.198)
transmit(173.255.215.209)
transmit(85.27.231.43)
transmit(72.30.35.88)
transmit(200.89.75.198)
173.255.215.209: Server dropped: no data
85.27.231.43: Server dropped: no data
72.30.35.88: Server dropped: no data
200.89.75.198: Server dropped: no data

 9 Apr 05:37:22 ntpdate[95778]: no server suitable for synchronization found

Also tried 
ntpdate -u 0.freebsd.pool.ntp.org
 9 Apr 05:36:04 ntpdate[68844]: no server suitable for synchronization found

ping 0.freebsd.pool.ntp.org
PING 0.freebsd.pool.ntp.org (173.255.215.209): 56 data bytes
64 bytes from 173.255.215.209: icmp_seq=0 ttl=42 time=253.551 ms
64 bytes from 173.255.215.209: icmp_seq=1 ttl=42 time=253.642 ms
64 bytes from 173.255.215.209: icmp_seq=2 ttl=42 time=253.674 ms
Comment 1 shamsher 2021-04-09 05:53:10 UTC
/usr/local/sbin/ntptrace -m 10
localhost: stratum 16, offset 0.000000, synch distance 0.000000
Comment 2 Marek Zarychta 2021-04-09 06:37:07 UTC
Probably temporary network issues. I was not able to reproduce this on
FreeBSD 14.0-CURRENT (PINE64LTS) #1 main-n245553-8c9e45503fe: Sat Mar 20 18:25:04 CET 2021 (arm64) using ntp from ports.
Comment 3 shamsher 2021-04-09 10:31:36 UTC
(In reply to Marek Zarychta from comment #2)
Hi Marek,
Thanks for reply. But i am able to ping the server with 100% success. also tried with time.google getting same issues:
ntpdate -d time.google.com
 9 Apr 10:23:18 ntpdate[34212]: ntpdate 4.2.8p15@1.3728-o Thu Feb 18 07:28:03 UTC 2021 (1)
transmit(216.239.35.8)
transmit(216.239.35.0)
transmit(216.239.35.12)
transmit(216.239.35.4)
transmit(216.239.35.8)
transmit(216.239.35.0)
transmit(216.239.35.12)
transmit(216.239.35.4)
transmit(216.239.35.8)
transmit(216.239.35.0)
transmit(216.239.35.12)
transmit(216.239.35.4)
transmit(216.239.35.8)
transmit(216.239.35.0)
transmit(216.239.35.12)
transmit(216.239.35.4)
216.239.35.8: Server dropped: no data
216.239.35.0: Server dropped: no data
216.239.35.12: Server dropped: no data
216.239.35.4: Server dropped: no data

 9 Apr 10:23:28 ntpdate[34212]: no server suitable for synchronization found


is there any specific setting missing OR need to do ?

ntpq peers also doen't show any thing as shown below :
ntpq -p
No association ID's returned

ntpq
ntpq> version
ntpq 4.2.8p15@1.3728-o Thu Feb 18 07:28:11 UTC 2021 (1)
ntpq> peers
No association ID's returned
ntpq> 

The configuration in rc.conf done is as below:
  ntpd_program="/usr/local/sbin/ntpd"
  ntpdate_program="/usr/local/sbin/ntpdate"
Comment 4 shamsher 2021-04-09 11:19:17 UTC
ntpq> lpeers
No association ID's returned
ntpq> sysinfo
associd=0 status=c016 leap_alarm, sync_unspec, 1 event, restart,
system peer:        0.0.0.0:0
system peer mode:   unspec
leap indicator:     11
stratum:            16
log2 precision:     -21
root delay:         0.000
root dispersion:    0.000
reference ID:       .
reference time:     (no time)
system jitter:      0.000000
clock jitter:       0.000
clock wander:       0.000
broadcast delay:    -50.000
symm. auth. delay:  0.000
ntpq> version
ntpq 4.2.8p15@1.3728-o Thu Feb 18 07:28:11 UTC 2021 (1)
ntpq> 


is there any conf missing?
at initial stage only rc.conf done as below:
  ntpd_program="/usr/local/sbin/ntpd"
  ntpdate_program="/usr/local/sbin/ntpdate"
Comment 5 shamsher 2021-04-21 05:40:44 UTC
Any help on this please.
Comment 6 tech-lists 2021-04-21 15:14:26 UTC
(In reply to shamsher from comment #5)

Hi, I cannot reproduce your problem. It looks like your connection is dropping data for ntp. Why are you using ntp from ports instead of base? do you or your ISP block any ports outbound?

output from a machine on my network that's behind NAT. system is stable/13 and ntpdate is 4.2.8p15-a as is ntpd

in my /etc/rc.conf there's this:

ntpdate_enable="YES"
ntpdate_hosts="uk.pool.ntp.org"
ntpd_enable="YES"

output:

% ntpdate -d 0.freebsd.pool.ntp.org
21 Apr 15:52:54 ntpdate[1426]: ntpdate 4.2.8p15-a (1)
transmit(85.199.214.99)
receive(85.199.214.99)
transmit(129.250.35.251)
receive(129.250.35.251)
transmit(81.21.76.27)
receive(81.21.76.27)
transmit(82.219.4.30)
receive(82.219.4.30)
transmit(85.199.214.99)
receive(85.199.214.99)
transmit(129.250.35.251)
receive(129.250.35.251)
transmit(81.21.76.27)
transmit(82.219.4.30)
transmit(85.199.214.99)
transmit(129.250.35.251)
receive(81.21.76.27)
receive(82.219.4.30)
receive(129.250.35.251)
receive(85.199.214.99)
transmit(85.199.214.99)
transmit(129.250.35.251)
transmit(81.21.76.27)
transmit(82.219.4.30)
receive(129.250.35.251)
receive(85.199.214.99)
receive(81.21.76.27)
receive(82.219.4.30)
transmit(81.21.76.27)
transmit(82.219.4.30)
receive(81.21.76.27)
receive(82.219.4.30)

server 85.199.214.99, port 123
stratum 1, precision -25, leap 00, trust 000
refid [GPS], root delay 0.000000, root dispersion 0.000000
reference time:      e42abacd.00000000  Wed, Apr 21 2021 15:53:01.000
originate timestamp: e42abacd.3b7e7545  Wed, Apr 21 2021 15:53:01.232
transmit timestamp:  e42abacd.3b3bcc79  Wed, Apr 21 2021 15:53:01.231
filter delay:  0.03693    0.04506    0.30702    0.03470   
               ----       ----       ----       ----      
filter offset: -0.002761  -0.008605  +0.098368  -0.003535 
               ----       ----       ----       ----      
delay 0.03470, dispersion 0.01437, offset -0.003535

server 129.250.35.251, port 123
stratum 2, precision -22, leap 00, trust 000
refid [249.224.99.213], root delay 0.104645, root dispersion 0.032974
reference time:      e42ab77e.c5a3bc19  Wed, Apr 21 2021 15:38:54.772
originate timestamp: e42abacd.3b37eba0  Wed, Apr 21 2021 15:53:01.231
transmit timestamp:  e42abacd.3b3d45d7  Wed, Apr 21 2021 15:53:01.231
filter delay:  0.03804    0.03287    0.10434    0.03302   
               ----       ----       ----       ----      
filter offset: -0.006084  -0.003864  -0.003909  -0.003796 
               ----       ----       ----       ----      
delay 0.03287, dispersion 0.00058, offset -0.003864

server 81.21.76.27, port 123
stratum 2, precision -23, leap 00, trust 000
refid [195.66.241.10], root delay 0.006271, root dispersion 0.026535
reference time:      e42ab7f9.2f1195e1  Wed, Apr 21 2021 15:40:57.183
originate timestamp: e42abacf.39f4911e  Wed, Apr 21 2021 15:53:03.226
transmit timestamp:  e42abacf.3900a1eb  Wed, Apr 21 2021 15:53:03.222
filter delay:  0.04002    1.86443    0.03914    0.03915   
               ----       ----       ----       ----      
filter offset: -0.003097  +0.657160  -0.002985  -0.003097 
               ----       ----       ----       ----      
delay 0.03914, dispersion 0.08257, offset -0.002985

server 82.219.4.30, port 123
stratum 2, precision -23, leap 00, trust 000
refid [185.134.196.169], root delay 0.034027, root dispersion 0.002777
reference time:      e42aba8a.3b61d6ab  Wed, Apr 21 2021 15:51:54.231
originate timestamp: e42abacf.39e27e01  Wed, Apr 21 2021 15:53:03.226
transmit timestamp:  e42abacf.3901802a  Wed, Apr 21 2021 15:53:03.222
filter delay:  0.05452    1.66196    0.03967    0.03999   
               ----       ----       ----       ----      
filter offset: +0.001974  +0.576320  -0.003959  -0.003898 
               ----       ----       ----       ----      
delay 0.03967, dispersion 0.07404, offset -0.003959

21 Apr 15:53:03 ntpdate[1426]: adjust time server 85.199.214.99 offset -0.003535 sec